<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>librygel-renderer API Reference: librygel-renderer Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="librygel-renderer Reference Manual">
<link rel="up" href="index.html" title="librygel-renderer Reference Manual">
<link rel="prev" href="implementing-renderer-plugins-simple-example.html" title="Implementing Renderer Plugins: Simple Example">
<link rel="next" href="RygelMediaRendererPlugin.html" title="RygelMediaRendererPlugin">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="implementing-renderer-plugins-simple-example.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="RygelMediaRendererPlugin.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="api-main-list"></a>librygel-renderer API Reference</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt>
<span class="refentrytitle"><a href="RygelMediaRendererPlugin.html">RygelMediaRendererPlugin</a></span><span class="refpurpose"> — This is the base class for every Rygel UPnP renderer plugin.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="RygelMediaRenderer.html">RygelMediaRenderer</a></span><span class="refpurpose"> — This class may be used to implement in-process UPnP-AV media renderers.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="RygelMediaPlayer.html">RygelMediaPlayer</a></span><span class="refpurpose"> — This interface maps UPnP AVTransport:2 methods to the plugin's specific implementation.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="RygelPlayerController.html">RygelPlayerController</a></span><span class="refpurpose"> — This class keeps track of global states that are not dependant on the RygelMediaPlayer.</span>
</dt>
</dl></div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>